## GwyCellRendererGradient

GwyCellRendererGradient — Renders a gradient in a cell

## Functions

GtkCellRenderer * | gwy_cell_renderer_gradient_new ()

## Properties

GwyGradient * | gradient | Read / Write

## Types and Values

struct | GwyCellRendererGradient
struct | GwyCellRendererGradientClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GwyCellRendererGradient

## Includes

    #include <libgwyui/gwyui.h>

## Description

A GwyCellRendererGradient can be used to render a GwyGradient in a cell of a GtkTreeView or a similar cell-view widget.

## Functions

### gwy_cell_renderer_gradient_new()

    GtkCellRenderer *
    gwy_cell_renderer_gradient_new (void);

Creates a new gradient cell renderer.

#### Returns

A new gradient cell renderer.

## Types and Values

### struct GwyCellRendererGradient

    struct GwyCellRendererGradient;

### struct GwyCellRendererGradientClass

    struct GwyCellRendererGradientClass {
        GtkCellRendererClass parent_class;
    };

## Property Details

### The `“gradient”` property

      “gradient”                 GwyGradient *

Gradient to render.

Owner: GwyCellRendererGradient

Flags: Read / Write